Skip to main content
`Ctrl`+`K`

# DMPlexCreatePointSF

Build a point `PetscSF` from an `PetscSF` describing a point migration

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreatePointSF(DM dm, PetscSF migrationSF, PetscBool ownership, PetscSF *pointSF)

## Input Parameters

- dm - The source `DMPLEX` object

- migrationSF - The star forest that describes the parallel point remapping

- ownership - Flag causing a vote to determine point ownership

## Output Parameter

- pointSF - The star forest describing the point overlap in the remapped `DM`

## Note

Output `pointSF` is guaranteed to have the array of local indices (leaves) sorted.

## See Also

`DMPLEX`, `PetscSF`, `DM`, `DMPlexDistribute()`, `DMPlexDistributeOverlap()`

## Level

developer

## Location

src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages